summaryrefslogtreecommitdiffstats
path: root/source/xap/gparted
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/xap/gparted
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/xap/gparted')
-rw-r--r--source/xap/gparted/com.slackware.pkexec.gparted.policy20
-rwxr-xr-xsource/xap/gparted/gparted.SlackBuild28
-rw-r--r--source/xap/gparted/gparted_polkit6
-rw-r--r--source/xap/gparted/slack-desc8
4 files changed, 18 insertions, 44 deletions
diff --git a/source/xap/gparted/com.slackware.pkexec.gparted.policy b/source/xap/gparted/com.slackware.pkexec.gparted.policy
deleted file mode 100644
index 2981762ef..000000000
--- a/source/xap/gparted/com.slackware.pkexec.gparted.policy
+++ /dev/null
@@ -1,20 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE policyconfig PUBLIC
- "-//freedesktop//DTD PolicyKit Policy Configuration 1.0//EN"
- "http://www.freedesktop.org/standards/PolicyKit/1/policyconfig.dtd">
-<policyconfig>
-
- <action id="com.slackware.pkexec.gparted">
- <message>Authentication is required to run the GParted Partition Editor</message>
- <icon_name>gparted</icon_name>
- <defaults>
- <allow_any>auth_admin</allow_any>
- <allow_inactive>auth_admin</allow_inactive>
- <allow_active>auth_admin</allow_active>
- </defaults>
- <annotate key="org.freedesktop.policykit.exec.path">/usr/sbin/gparted</annotate>
- <annotate key="org.freedesktop.policykit.exec.allow_gui">true</annotate>
- </action>
-
-</policyconfig>
-
diff --git a/source/xap/gparted/gparted.SlackBuild b/source/xap/gparted/gparted.SlackBuild
index 7a78ab016..2840afd5e 100755
--- a/source/xap/gparted/gparted.SlackBuild
+++ b/source/xap/gparted/gparted.SlackBuild
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
#
# Slackware build script for GParted
#
@@ -22,9 +22,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=gparted
-VERSION=${VERSION:-$(echo $(basename $(echo $PRGNAM-*.tar.xz | cut -f 2 -d -) .tar.xz) | cut -f 2 -d -)}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -38,7 +40,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -60,7 +69,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find -L . \
@@ -69,9 +78,6 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-sed -i "s:@gksuprog@ @installdir@/gparted %f:@installdir@/gparted_polkit %f:g" \
- gparted.desktop.in.in
-
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -90,12 +96,6 @@ make install DESTDIR=$PKG || exit 1
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-mkdir -p $PKG/usr/share/polkit-1/actions
-cat $CWD/com.slackware.pkexec.gparted.policy > $PKG/usr/share/polkit-1/actions/com.slackware.pkexec.gparted.policy
-
-cat $CWD/gparted_polkit > $PKG/usr/sbin/gparted_polkit
-chmod 0755 $PKG/usr/sbin/gparted_polkit
-
# Compress and link manpages, if any:
if [ -d $PKG/usr/man ]; then
( cd $PKG/usr/man
diff --git a/source/xap/gparted/gparted_polkit b/source/xap/gparted/gparted_polkit
deleted file mode 100644
index 76bd7b5e6..000000000
--- a/source/xap/gparted/gparted_polkit
+++ /dev/null
@@ -1,6 +0,0 @@
-#!/bin/bash
-if [ $(which pkexec) ]; then
- pkexec --disable-internal-agent "/usr/sbin/gparted" "$@"
-else
- /usr/sbin/gparted "$@"
-fi
diff --git a/source/xap/gparted/slack-desc b/source/xap/gparted/slack-desc
index 85f3617b8..aacf6050a 100644
--- a/source/xap/gparted/slack-desc
+++ b/source/xap/gparted/slack-desc
@@ -2,7 +2,7 @@
# The "handy ruler" below makes it easier to edit a package description.
# Line up the first '|' above the ':' following the base package name, and
# the '|' on the right side marks the last column you can put a character in.
-# You must make exactly 11 lines for the formatting to be correct. It's also
+# You must make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
@@ -11,9 +11,9 @@ gparted:
gparted: With GParted you can resize, copy, and move partitions without data
gparted: loss, enabling you to:
gparted:
-gparted: * Grow or shrink your C: drive
-gparted: * Create space for new operating systems
-gparted: * Attempt data rescue from lost partitions
+gparted: * Grow or shrink your C: drive
+gparted: * Create space for new operating systems
+gparted: * Attempt data rescue from lost partitions
gparted:
gparted: http://gparted.sourceforge.net/
gparted: